## org.eclipse.jet.xpath.inspector
Class SimpleElementRequiresValueException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.jet.xpath.inspector.SimpleElementRequiresValueException

All Implemented Interfaces:
  java.io.Serializable

    public class SimpleElementRequiresValueException

extends java.lang.Exception

Represent at attempt to create a simple Element (one with only text context) without specifying a value.

See Also:
  Serialized Form

Constructor Summary
`SimpleElementRequiresValueException(java.lang.Object parentElement, ExpandedName elementName)` Construct an exception instance

Method Summary
`ExpandedName` `getElementName()`
`java.lang.Object` `getParentElement()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleElementRequiresValueException

    public SimpleElementRequiresValueException(java.lang.Object parentElement,
                                               ExpandedName elementName)

  Construct an exception instance

  Parameters:
    `parentElement` - the ELEMENT object that would contain the simple element.
    `elementName` - the name of the simple Element whose creation failed.

Method Detail

### getParentElement

    public final java.lang.Object getParentElement()

  Returns:
    Returns the parentElement.

### getElementName

    public final ExpandedName getElementName()

  Returns:
    Returns the elementName.

Copyright 2006 IBM Corporation and others. All Rights Reserved.